
# 概述
Motan是一套高性能、易于使用的分布式远程服务调用(RPC)框架。

# 功能
- 支持通过spring配置方式集成，无需额外编写代码即可为服务提供分布式调用能力。
- 支持集成consul、zookeeper等配置服务组件，提供集群环境的服务发现及治理能力。
- 支持动态自定义负载均衡、跨机房流量调整等高级服务调度能力。
- 基于高并发、高负载场景进行优化，保障生产环境下RPC服务高可用。

# 文档索引

* [快速入门](zh_quickstart)
    * [简单调用示例](zh_quickstart#简单调用示例)
    * [集群使用示例](zh_quickstart#集群使用示例)
    * [其他调用示例](zh_quickstart#其他调用示例)
* [用户指南](zh_userguide)
    * [基本介绍](zh_userguide#基本介绍)
    * [使用Motan](zh_userguide#使用motan)
    * [配置说明](zh_userguide#配置说明)
    * [运维及监控](zh_userguide#运维及监控)
    * [性能测试](zh_userguide#性能测试)
* [开发指南](zh_developguide)
* [常见问题](zh_faq)

